<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\TestResults */

$this->title = $model->ID;
$this->params['breadcrumbs'][] = ['label' => 'Test Results', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="test-results-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->ID], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->ID], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'ID',
            'HEADER_ID',
            'TEST_ID',
            'TESTNAME',
            'MINRANGE',
            'RESULT',
            'MAXRANGE',
            'UNITS',
            'TESTSTATUS',
            'TIMEOFTEST',
            'GRAPH_ID',
            'TEST_TYPE',
            'X_AXIS',
            'Y_AXIS',
        ],
    ]) ?>

</div>
